curl --location --request PUT 'https://integrations.projectcor.com/v2/user/user-position' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "OKTA"
},
"users": [
{
"id": "OKTA-USER-12345",
"position_id": "POS-DEV-001"
},
{
"id": "OKTA-USER-67890",
"position_id": "POS-PM-001"
}
]
}'
import requests
url = "https://integrations.projectcor.com/v2/user/user-position"
payload = {
"metadata": {
"source": "OKTA"
},
"users": [
{
"id": "OKTA-USER-12345",
"position_id": "POS-DEV-001"
},
{
"id": "OKTA-USER-67890",
"position_id": "POS-PM-001"
}
]
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/user/user-position',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'OKTA'
},
users: [
{
id: 'OKTA-USER-12345',
position_id: 'POS-DEV-001'
},
{
id: 'OKTA-USER-67890',
position_id: 'POS-PM-001'
}
]
})
}
);
const data = await response.json();
console.log(data);
{
"message": "Users assigned to positions successfully",
"assignments": [
{
"user_id": 8546,
"position_id": 101,
"status": "assigned"
},
{
"user_id": 8547,
"position_id": 102,
"status": "assigned"
}
]
}
{
"error": "UserNotFoundError",
"message": "User with external ID 'OKTA-USER-99999' not found",
"code": "ZC004"
}
Users
Assign Users to Position
Assigns multiple users to their respective positions in COR
PUT
/
v2
/
user
/
user-position
curl --location --request PUT 'https://integrations.projectcor.com/v2/user/user-position' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "OKTA"
},
"users": [
{
"id": "OKTA-USER-12345",
"position_id": "POS-DEV-001"
},
{
"id": "OKTA-USER-67890",
"position_id": "POS-PM-001"
}
]
}'
import requests
url = "https://integrations.projectcor.com/v2/user/user-position"
payload = {
"metadata": {
"source": "OKTA"
},
"users": [
{
"id": "OKTA-USER-12345",
"position_id": "POS-DEV-001"
},
{
"id": "OKTA-USER-67890",
"position_id": "POS-PM-001"
}
]
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/user/user-position',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'OKTA'
},
users: [
{
id: 'OKTA-USER-12345',
position_id: 'POS-DEV-001'
},
{
id: 'OKTA-USER-67890',
position_id: 'POS-PM-001'
}
]
})
}
);
const data = await response.json();
console.log(data);
{
"message": "Users assigned to positions successfully",
"assignments": [
{
"user_id": 8546,
"position_id": 101,
"status": "assigned"
},
{
"user_id": 8547,
"position_id": 102,
"status": "assigned"
}
]
}
{
"error": "UserNotFoundError",
"message": "User with external ID 'OKTA-USER-99999' not found",
"code": "ZC004"
}
Assigns multiple users to their respective positions in your COR instance. This endpoint allows batch assignment of users to positions.
Request Body Requirements
array
required
Known Errors
ValidationError— Missing required fields or empty users arrayUserNotFoundError— One or more users not found with the specified external IDsPositionNotFoundError— One or more positions not found with the specified external IDs
curl --location --request PUT 'https://integrations.projectcor.com/v2/user/user-position' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "OKTA"
},
"users": [
{
"id": "OKTA-USER-12345",
"position_id": "POS-DEV-001"
},
{
"id": "OKTA-USER-67890",
"position_id": "POS-PM-001"
}
]
}'
import requests
url = "https://integrations.projectcor.com/v2/user/user-position"
payload = {
"metadata": {
"source": "OKTA"
},
"users": [
{
"id": "OKTA-USER-12345",
"position_id": "POS-DEV-001"
},
{
"id": "OKTA-USER-67890",
"position_id": "POS-PM-001"
}
]
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/user/user-position',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'OKTA'
},
users: [
{
id: 'OKTA-USER-12345',
position_id: 'POS-DEV-001'
},
{
id: 'OKTA-USER-67890',
position_id: 'POS-PM-001'
}
]
})
}
);
const data = await response.json();
console.log(data);
{
"message": "Users assigned to positions successfully",
"assignments": [
{
"user_id": 8546,
"position_id": 101,
"status": "assigned"
},
{
"user_id": 8547,
"position_id": 102,
"status": "assigned"
}
]
}
{
"error": "UserNotFoundError",
"message": "User with external ID 'OKTA-USER-99999' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

